<?php

/**
 * API class for Tickets
 *
 * @access protected
 * @class  DolibarrApiAccess {@requires user,external}
 */
class ApiTickets extends DolibarrApi
{

    /**
	 * TicketPurchase
	 * 
	 * @param  int $product_id	Product Id
	 * 
	 *
	 * @return array|mixed Data without useless information
	 *
	 * @url POST TicketPurchase
	 */
    public function TicketPurchase($product_id)
	{
        $array = [];
		return $array;
	}

    /**
	 * Invoice/Receipt resending 
	 * 
	 * @param  int $facture_id	Faacture Id
	 * 
	 *
	 * @return array|mixed Data without useless information
	 *
	 * @url POST TicketPurchase
	 */
    public function FactureResending($facture_id)
	{
        $array = [];
		return $array;
	}

    /**
	 * Ticket validation
	 * 
	 * @param  int $code	Facture ref and timestamp
	 * 
	 *
	 * @return array|mixed Data without useless information
	 *
	 * @url POST ValidateTicket
	 */
    public function ValidateTicket($code)
	{
        $array = [];
		return 'OK';
	}
}